const webpack = require('webpack');
const withTM = require('next-transpile-modules');

module.exports = withTM({
  transpileModules: ['query-string', 'split-on-first', 'strict-uri-encode'],
  webpack: (config) => {
    config.plugins.push(
      new webpack.DefinePlugin({
        'process.env.ENV': JSON.stringify(process.env.ENV),
      }),
    );
    return config;
  },
});
